Bug 7082 - mafw-dbus-daemon killed by podcast
: mafw-dbus-daemon killed by podcast
Status: RESOLVED FIXED
Product: Multimedia
MAFW
: 5.0/(1.2009.42-11)
: N900 Maemo
: Low normal (vote)
: 5.0/(10.2010.19-1)
Assigned To: unassigned
: mafw-bugs
: http://talk.maemo.org/showthread.php?...
:
:
:
  Show dependency tree
 
Reported: 2009-12-17 19:37 UTC by Frank Phillips
Modified: 2010-03-15 20:55 UTC (History)
1 user (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Frank Phillips (reporter) 2009-12-17 19:37:30 UTC
SOFTWARE VERSION: 42-11
(Settings > General > About product)

EXACT STEPS LEADING TO PROBLEM:
1. Go to
http://podfiles.zdf.de/podcast/3sat_podcasts/091213_sendung_neues_p.mp4
2. Choose to open with media player
3. Let media player begin buffering file

EXPECTED OUTCOME:
Video plays

ACTUAL OUTCOME:
mafw-dbus-daemon crashes

REPRODUCIBILITY:
100% when you elect to open straight from link.

If you save the file locally first, then play it through file manager it plays
fine, so I know the file is a compatible format.

EXTRA SOFTWARE INSTALLED:
Recorder, Tuner, Hex-a-hop, Supertux, VoR, Bounce

OTHER COMMENTS:
I reproduced this bug after a fresh reboot also.

mafw-dbus-daemon respawns (I have four processes), so mediaplayer can still be
used.

User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.1.5)
Gecko/20091106 Firefox/3.0.10
Comment 1 Frank Phillips (reporter) 2009-12-17 19:41:53 UTC
Before opening this bug, I sent a report with crash-reporter.
Comment 2 Andre Klapper maemo.org 2009-12-18 19:36:57 UTC
Thanks for reporting this.

Using "Open with Media Player" works fine here for that video (both video and
audio) in the internal version 2009.51-8 so I assume that it has been fixed in
the meantime.

To answer popular followup questions:
 * Nokia does not announce release dates of public updates in advance.
 * There is currently no access to these internal, non-public build versions.
   A Brainstorm proposal to change this exists at
http://maemo.org/community/brainstorm/view/undelayed_bugfix_releases_for_nokia_open_source_packages-002/
Comment 3 Andre Klapper maemo.org 2010-01-14 13:45:38 UTC
I must admit that I don't know if the fix is already included in today's
2.2009.51-1 update release or not. Checking and reporting back is welcome!
Comment 4 Andre Klapper maemo.org 2010-03-15 20:55:40 UTC
Setting explicit PR1.2 milestone (so it's clearer in which public release the
fix will be available to users).

Sorry for the bugmail noise (you can filter on this message).